New unit tests for Draft Workbench

A forum dedicated to the Draft, Arch and BIM workbenches development.
Forum rules
Be nice to others! Respect the FreeCAD code of conduct!
vocx
Veteran
Posts: 5197
Joined: Thu Oct 18, 2018 9:18 pm

New unit tests for Draft Workbench

Post by vocx »

Taking inspiration from the FEM Workbench, I decided to re-work the unit tests of the Draft Workbench.

The new tests are in pull request #2668.

Test with

Code: Select all

freecad -t TestDraft
freecadcmd -t TestDraft
---

Basic tests include being able to import the existing modules of the workbench like Draft.py, DraftTools.py, DraftGui.py, etc. So if new modules are added, or renamed, the unit tests need to be changed accordingly.

Then we test each of the "creation" tools, like line, wire, circle, arc, rectangle, etc. And then each of the "modification" tools, like move, copy, clone, array, polar array, etc.

Not every test is currently implemented. Why? Because in order to test a tool automatically, we need to have a basic function that produces the action we want. For example, to test a rectangle, we just run Draft.makeRectangle(). But to test the Draft Trimex tool there is no Draft.trimex() function that we can call; this tool is implemented as a combination of various instructions but there is no single function that does the task. So we must have basic functions in Draft.py that encapsulate the action that we want, and then we can test them.

For the tests that are not implemented, we define a fake function that just returns True resulting in the test passing automatically. The fake function serves as a placeholder for the real function that should be written at some point in the future.

---

This also ties into this thread, Discussion: renaming the graphical commands. As I mentioned, a button or a menu action is a "graphical" command that requires the graphical interface loaded. We must be certain each of these have an underlying command that doesn't need the graphical interface. For example, the Draft Facebinder tool is most commonly used from the 3D view but the underlying Draft.makeFacebinder() can also be called without the interface by specifying a correct list of objects and faces.

This also ties with this thread, [Discussion] Splitting Draft tools into their own modules. Splitting the tools in many modules may introduce some errors, so by having the unit tests we have more certainty that the tools are still working as we expect them to.

---

There are also simple tests for the import and export of SVG, DXF, DWG, and OCA files. Currently none of these are truly implemented; they use the fake function that I mentioned above. In order to have real tests, we should provide sample files in the source tree, a sample SVG, sample DXF, sample DWG, etc., and see if the operations of open, import, and export, work correctly with those.

For a more exhaustive unit test, we should write many tests for each geometrical element, that is, line, circle, arc, rectangle, etc., and check that each is correctly imported and exported. This is a bit tedious to do; maybe a student from a Google Summer of Code can work on it.

The new proposed TestDraft.py is pretty long. But similarly to FEM, later we can split the tests into various modules, which is better for managing them, and adding new tests.

---

I still get the crash reported here, Crash: when testing Draft Dimension. Since not many people get the crash, I suspect it's a combination of Coin3D with my particular version of Ubuntu, Qt 5.9, or something else.

Both of these crash in my system, but only if run individually. If I run the entire set of tests, there is no crash.

Code: Select all

freecad -t TestDraft.DraftCreation.test_dimension_linear
freecad -t TestDraft.DraftCreation.test_label
I suspect the problem has something to do with the textual element created by Coin. These two produce App::FeaturePython objects instead of Part::Part2DObjectPython (wiki Part_Part2DObject) or Part::FeaturePython (wiki Part_Feature), like most Draft geometrical elements.
Last edited by vocx on Mon Oct 28, 2019 3:47 pm, edited 1 time in total.
Always add the important information to your posts if you need help. Also see Tutorials and Video tutorials.
To support the documentation effort, and code development, your donation is appreciated: liberapay.com/FreeCAD.
User avatar
Kunda1
Veteran
Posts: 13434
Joined: Thu Jan 05, 2017 9:03 pm

Re: New unit tests for Draft Workbench

Post by Kunda1 »

Ran PR against
OS: Manjaro Linux (XFCE/xfce)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.18614 (Git) AppImage
Build type: Release
Branch: master
Hash: efd55884ad7d40e77571a60c5bb906bbd8d1cbbd
Python version: 3.7.3
Qt version: 5.12.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/United States (en_US)

Result:

Here is error for convenience:

Code: Select all

ERROR: test_cubicbezcurve (TestDraft.DraftCreation)
Create a cubic bezier curve of four points.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/foo/bin/squashfs-root/usr/Mod/Draft/TestDraft.py", line 467, in test_cubicbezcurve
    Vector(9, 0, 0)], Degree=3)
TypeError: makeBezCurve() got an unexpected keyword argument 'Degree'

----------------------------------------------------------------------
Ran 66 tests in 1.912s

FAILED (errors=1)
Here is the function that the problem is in:

Code: Select all

    def test_cubicbezcurve(self):
        """Create a cubic bezier curve of four points."""
        App.Console.PrintLog('Checking Draft CubicBezCurve...\n')
        Draft.makeBezCurve([Vector(0, 0, 0),
                            Vector(2, 2, 0),
                            Vector(5, 3, 0),
                            Vector(9, 0, 0)], Degree=3)
        self.assertTrue(App.ActiveDocument.getObject("BezCurve"),
                        "Draft CubicBezCurve failed")
The rest of the output
$ ./AppRun -t TestDraft
/home/beast/bin/squashfs-root
FreeCAD 0.19, Libs: 0.19R18614 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2019
##### #### ### ####
# # # # # #
# ## #### #### # # # # #
#### # # # # # # # ##### # #
# # #### #### # # # # #
# # # # # # # # # ## ## ##
# # #### #### ### # # #### ## ## ##

connect failed: No such file or directory
test_export_DXF (TestDraft.DraftAirfoilDAT)
Export a DXF. ... Test currently not implemented
ok
test_read_DXF (TestDraft.DraftAirfoilDAT)
Read a DXF. ... Test currently not implemented
ok
test_arc (TestDraft.DraftCreation)
Create a circular arc. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
Test 'Draft Arc'
ok
test_arc_3points (TestDraft.DraftCreation)
Create a circular arc from three points. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
Test 'Draft Arc 3Points'
###---------------------------------------------------###
# This test is not implemented currently #
###---------------------------------------------------###
Automatic PASS
ok
test_bezcurve (TestDraft.DraftCreation)
Create a bezier curve of six points, degree five. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
ok
test_bspline (TestDraft.DraftCreation)
Create a BSpline of three points. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
ok
test_circle (TestDraft.DraftCreation)
Create a circle. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
Test 'Draft Circle'
ok
test_cubicbezcurve (TestDraft.DraftCreation)
Create a cubic bezier curve of four points. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
ERROR
test_dimension_linear (TestDraft.DraftCreation)
Create a linear dimension. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
Test 'Draft Dimension'
ok
test_dimension_radial (TestDraft.DraftCreation)
Create a radial dimension. NOT IMPLEMENTED CURRENTLY. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
Test 'Draft Dimension Radial'
###---------------------------------------------------###
# This test is not implemented currently #
###---------------------------------------------------###
Automatic PASS
ok
test_ellipse (TestDraft.DraftCreation)
Create an ellipse. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
Test 'Draft Ellipse'
ok
test_facebinder (TestDraft.DraftCreation)
Create a Facebinder. NOT IMPLEMENTED CURRENTLY. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
This test doesn't do anything at the moment. In order to test this, a selection is needed.
ok
test_fillet (TestDraft.DraftCreation)
Create a fillet between two lines. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
Test 'Draft Fillet'
o1: Line, length: 8.0
o2: Line001, length: 8.0
e1, length: 3.999999999999999
e2, length: 6.283185307179587
e3, length: 3.999999999999999
ok
test_label (TestDraft.DraftCreation)
Create a label. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
ok
test_line (TestDraft.DraftCreation)
Create a line. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
Test 'Draft Line'
ok
test_point (TestDraft.DraftCreation)
Create a point. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
ok
test_polygon (TestDraft.DraftCreation)
Create a regular polygon. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
Test 'Draft Polygon'
ok
test_polyline (TestDraft.DraftCreation)
Create a polyline. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
Test 'Draft Wire'
ok
test_rectangle (TestDraft.DraftCreation)
Create a rectangle. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
Test 'Draft Rectangle'
ok
test_shapestring (TestDraft.DraftCreation)
Create a ShapeString. NOT IMPLEMENTED CURRENTLY. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
This test doesn't do anything at the moment. In order to test this, a font file is needed.
ok
test_text (TestDraft.DraftCreation)
Create a text object. ...
------------------------------------------------------------------------------
Temporary document 'DraftCreation'
Test 'Draft Text'
ok
test_export_DXF (TestDraft.DraftDWG)
Export a DXF. ... Test currently not implemented
ok
test_read_DXF (TestDraft.DraftDWG)
Read a DXF. ... Test currently not implemented
ok
test_export_DXF (TestDraft.DraftDXF)
Export a DXF. ... Test currently not implemented
ok
test_read_DXF (TestDraft.DraftDXF)
Read a DXF. ... Test currently not implemented
ok
test_import_GUI_DraftGui (TestDraft.DraftGuiImport)
Import Draft TaskView GUI tools. ...
------------------------------------------------------------------------------
Try importing 'DraftGui'
ok
test_import_GUI_Draft_snap (TestDraft.DraftGuiImport)
Import Draft snapping. ...
------------------------------------------------------------------------------
Try importing 'DraftSnap'
ok
test_import_GUI_Draft_tools (TestDraft.DraftGuiImport)
Import Draft graphical commands. ...
------------------------------------------------------------------------------
Try importing 'DraftTools'
ok
test_import_GUI_Draft_trackers (TestDraft.DraftGuiImport)
Import Draft tracker utilities. ...
------------------------------------------------------------------------------
Try importing 'DraftTrackers'
ok
test_import_Draft (TestDraft.DraftImport)
Import the Draft module. ...
------------------------------------------------------------------------------
Try importing 'Draft'
ok
test_import_Draft_SVG (TestDraft.DraftImport)
Import Draft SVG utilities. ...
------------------------------------------------------------------------------
Try importing 'getSVG'
ok
test_import_Draft_geomutils (TestDraft.DraftImport)
Import Draft geometrical utilities. ...
------------------------------------------------------------------------------
Try importing 'DraftGeomUtils'
ok
test_import_Draft_vecutils (TestDraft.DraftImport)
Import Draft vector utilities. ...
------------------------------------------------------------------------------
Try importing 'DraftVecUtils'
ok
test_import_GUI_DraftEdit (TestDraft.DraftImportTools)
Import Draft Edit. ...
------------------------------------------------------------------------------
Try importing 'DraftEdit'
ok
test_import_GUI_DraftFillet (TestDraft.DraftImportTools)
Import Draft Fillet. ...
------------------------------------------------------------------------------
Try importing 'DraftFillet'
ok
test_import_GUI_DraftLayer (TestDraft.DraftImportTools)
Import Draft Layer. ...
------------------------------------------------------------------------------
Try importing 'DraftLayer'
ok
test_import_GUI_DraftPlane (TestDraft.DraftImportTools)
Import Draft SelectPlane. ...
------------------------------------------------------------------------------
Try importing 'DraftSelectPlane'
ok
test_import_WorkingPlane (TestDraft.DraftImportTools)
Import Draft WorkingPlane. ...
------------------------------------------------------------------------------
Try importing 'WorkingPlane'
ok
testCloneOfPart (TestDraft.DraftModification)
Create a clone of a Part.Box. ... ok
testCopy (TestDraft.DraftModification)
Create a line, then copy and move it. ... ok
testMove (TestDraft.DraftModification)
Create a line and move it. ... ok
testOffset (TestDraft.DraftModification)
Create a rectangle, then produce an offset copy. ... ok
testRotate (TestDraft.DraftModification)
Create a line, then rotate it. ... ok
test_downgrade (TestDraft.DraftModification)
Downgrade a face. NOT IMPLEMENTED. ... ok
test_draft_to_drawing (TestDraft.DraftModification)
Create a draft projection in a Drawing page. NOT IMPLEMENTED. ... ok
test_draft_to_sketch (TestDraft.DraftModification)
Convert a Draft object to a Sketch. NOT IMPLEMENTED. ... ok
test_extend (TestDraft.DraftModification)
Extend a line. NOT IMPLEMENTED. ... ok
test_join (TestDraft.DraftModification)
Join two lines. NOT IMPLEMENTED. ... ok
test_mirror (TestDraft.DraftModification)
Create a mirrored shape. NOT IMPLEMENTED. ... ok
test_path_array (TestDraft.DraftModification)
Create a path array. NOT IMPLEMENTED. ... ok
test_point_array (TestDraft.DraftModification)
Create a point array. NOT IMPLEMENTED. ... ok
test_polar_array (TestDraft.DraftModification)
Create a polar array. NOT IMPLEMENTED. ... ok
test_rectangular_array (TestDraft.DraftModification)
Create a rectangular array. NOT IMPLEMENTED. ... ok
test_shape_2D_view (TestDraft.DraftModification)
Create a 2D projection. NOT IMPLEMENTED. ... ok
test_sketch_to_draft (TestDraft.DraftModification)
Convert a Sketch to Draft object. NOT IMPLEMENTED. ... ok
test_split (TestDraft.DraftModification)
Split a polyline. NOT IMPLEMENTED. ... ok
test_stretch (TestDraft.DraftModification)
Stretch a line. NOT IMPLEMENTED. ... ok
test_trim (TestDraft.DraftModification)
Trim a line. NOT IMPLEMENTED. ... ok
test_upgrade (TestDraft.DraftModification)
Upgrade series of edges. NOT IMPLEMENTED. ... ok
test_wire_to_Bspline (TestDraft.DraftModification)
Convert a polyline to BSpline. NOT IMPLEMENTED. ... ok
test_export_DXF (TestDraft.DraftOCA)
Export a DXF. ... Test currently not implemented
ok
test_read_DXF (TestDraft.DraftOCA)
Read a DXF. ... Test currently not implemented
ok
test_Pivy (TestDraft.DraftPivy)
Import Pivy Coin. ...
------------------------------------------------------------------------------
Temporary document 'DraftPivy'
Try importing 'pivy.coin'
ok
test_Pivy_draw (TestDraft.DraftPivy)
Use Coin (pivy.coin) to draw a cube on the active view. ...
------------------------------------------------------------------------------
Temporary document 'DraftPivy'
Draw cube
Adding cube to the active view scene
ok
test_export_SVG (TestDraft.DraftSVG)
Export an SVG. ... Test currently not implemented
ok
test_read_SVG (TestDraft.DraftSVG)
Read an SVG. ... Test currently not implemented
ok

======================================================================
ERROR: test_cubicbezcurve (TestDraft.DraftCreation)
Create a cubic bezier curve of four points.
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/foo/bin/squashfs-root/usr/Mod/Draft/TestDraft.py", line 467, in test_cubicbezcurve
Vector(9, 0, 0)], Degree=3)
TypeError: makeBezCurve() got an unexpected keyword argument 'Degree'

----------------------------------------------------------------------
Ran 66 tests in 1.912s

FAILED (errors=1)
System exit
Alone you go faster. Together we go farther
Please mark thread [Solved]
Want to contribute back to FC? Checkout:
'good first issues' | Open TODOs and FIXMEs | How to Help FreeCAD | How to report Bugs
carlopav
Veteran
Posts: 2062
Joined: Mon Dec 31, 2018 1:49 pm
Location: Venice, Italy

Re: New unit tests for Draft Workbench

Post by carlopav »

Great @Vox, this will be really helpful!
BTW can you explain i should i be supposed to run it in windows? I'm a real beginner :)
follow my experiments on BIM modelling for architecture design
vocx
Veteran
Posts: 5197
Joined: Thu Oct 18, 2018 9:18 pm

Re: New unit tests for Draft Workbench

Post by vocx »

Kunda1 wrote: Mon Oct 28, 2019 10:53 am ...

Code: Select all

  File "/home/foo/bin/squashfs-root/usr/Mod/Draft/TestDraft.py", line 467, in test_cubicbezcurve
    Vector(9, 0, 0)], Degree=3)
TypeError: makeBezCurve() got an unexpected keyword argument 'Degree'
Use code tags, not quote tags.

You have an old version of my branch. You have to use the newest version.

Previously, the makeBezCurve() function had an argument called Degree. This was changed in git commit 0c18f5e25 (0.19.18433) to lowercase, degree.

An old version of my branch tests for "Degree", while the newest version tests for the current lowercase argument.
Last edited by vocx on Mon Oct 28, 2019 4:40 pm, edited 1 time in total.
Always add the important information to your posts if you need help. Also see Tutorials and Video tutorials.
To support the documentation effort, and code development, your donation is appreciated: liberapay.com/FreeCAD.
vocx
Veteran
Posts: 5197
Joined: Thu Oct 18, 2018 9:18 pm

Re: New unit tests for Draft Workbench

Post by vocx »

carlopav wrote: Mon Oct 28, 2019 2:10 pm Great @Vox, this will be really helpful!
BTW can you explain i should i be supposed to run it in windows? I'm a real beginner :)
Have you ever run FreeCAD from the command line in Windows?

If the FreeCAD executable is in the PATH, I think you should be able to open a command prompt, and run this

Code: Select all

freecad -t TestDraft
freecad --run-test TestDraft
This should be possible already as there is already a TestDraft.py, in src/Mod/Draft. However, currently there are only 17 tests, which don't test every single tool in the Draft Workbench. See testing (this page needs to be greatly expanded, by the way).

If you get my branch, through Git, then new tests, 66 in total, will be available. You test them the same.

Code: Select all

freecad -t TestDraft
You can also run the tests from within FreeCAD, by switching to the Test Framework Workbench. Then Test commands -> TestToolsGui -> Self test -> Select test name -> TestDraft -> Start.
Always add the important information to your posts if you need help. Also see Tutorials and Video tutorials.
To support the documentation effort, and code development, your donation is appreciated: liberapay.com/FreeCAD.
carlopav
Veteran
Posts: 2062
Joined: Mon Dec 31, 2018 1:49 pm
Location: Venice, Italy

Re: New unit tests for Draft Workbench

Post by carlopav »

thanks, really useful. Guess that i have to build your branch to be able to run it, isnt'it? this is another thing to learn :)
follow my experiments on BIM modelling for architecture design
User avatar
Kunda1
Veteran
Posts: 13434
Joined: Thu Jan 05, 2017 9:03 pm

Re: New unit tests for Draft Workbench

Post by Kunda1 »

vocx wrote: Mon Oct 28, 2019 3:56 pm
You have an old version of my branch. You have to use the newest version.

Previously, the makeBezCurve() function had an argument called Degree. This was changed in git commit 0c18f5e25 (0.19.18433) to lowercase, degree.

An old version of my branch tests for "Degree", while the newest version tests for the current lowercase argument.
I pulled what you submitted as a PR. You may want to update that, in that case.
https://github.com/FreeCAD/FreeCAD/pull ... ac2c91758b
Alone you go faster. Together we go farther
Please mark thread [Solved]
Want to contribute back to FC? Checkout:
'good first issues' | Open TODOs and FIXMEs | How to Help FreeCAD | How to report Bugs
vocx
Veteran
Posts: 5197
Joined: Thu Oct 18, 2018 9:18 pm

Re: New unit tests for Draft Workbench

Post by vocx »

carlopav wrote: Mon Oct 28, 2019 4:44 pm thanks, really useful. Guess that i have to build your branch to be able to run it, isnt'it? this is another thing to learn :)
Well, obviously. Currently the code is not in master, so you have to get my branch to test this.

Since this is Python code, it doesn't need recompilation actually. You can just grab the single src/Mod/Draft/TestDraft.py file in my branch, and paste it over the existing TestDraft.py in your Mod/Draft directory.
Always add the important information to your posts if you need help. Also see Tutorials and Video tutorials.
To support the documentation effort, and code development, your donation is appreciated: liberapay.com/FreeCAD.
vocx
Veteran
Posts: 5197
Joined: Thu Oct 18, 2018 9:18 pm

Re: New unit tests for Draft Workbench

Post by vocx »

Kunda1 wrote: Mon Oct 28, 2019 5:30 pm I pulled what you submitted as a PR. You may want to update that, in that case.
https://github.com/FreeCAD/FreeCAD/pull ... ac2c91758b
That's not possible. You are clearly running outdated code, according to your log above.

I suspect you have to refresh the repositories in your GitKraken or something like that. I pushed my branch to GitHub, and then squashed all commits to have a single commit for the pull request. If a user forks my branch before the squashing, they may experience problems because of the re-written history.

If you see the pull request now, it clearly tests for the new code. https://github.com/FreeCAD/FreeCAD/pull ... 7R547-R558

Code: Select all

    def test_cubicbezcurve(self):
        """Create a cubic bezier curve of four points."""
        operation = "Draft CubBezCurve"
        _msg("  Test '{}'".format(operation))
        a = Vector(0, 0, 0)
        b = Vector(2, 2, 0)
        c = Vector(5, 3, 0)
        d = Vector(9, 0, 0)
        _msg("  a={0}, b={1}".format(a, b))
        _msg("  c={0}, d={1}".format(c, d))
        obj = Draft.makeBezCurve([a, b, c, d], degree=3)
        self.assertTrue(obj, "'{}' failed".format(operation))
This is the output you should see

Code: Select all

bin/FreeCAD -t TestDraft
FreeCAD 0.19, Libs: 0.19R18628 +1 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2019
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##


(FreeCAD:14930): Gtk-WARNING **: 12:17:02.980: Theme parsing error: gtk.css:27:35: Junk at end of value for background-color

(FreeCAD:14930): Gtk-WARNING **: 12:17:02.980: Theme parsing error: gtk.css:40:48: Junk at end of value for background-color

(FreeCAD:14930): Gtk-WARNING **: 12:17:02.980: Theme parsing error: gtk.css:48:46: Junk at end of value for background-color

(FreeCAD:14930): Gtk-WARNING **: 12:17:02.980: Theme parsing error: gtk.css:59:58: Junk at end of value for background-color

(FreeCAD:14930): Gtk-WARNING **: 12:17:02.980: Theme parsing error: gtk.css:66:28: The :prelight pseudo-class is deprecated. Use :hover instead.

(FreeCAD:14930): Gtk-WARNING **: 12:17:02.980: Theme parsing error: gtk.css:70:46: Junk at end of value for background-color

(FreeCAD:14930): Gtk-WARNING **: 12:17:02.980: Theme parsing error: gtk.css:77:35: The :prelight pseudo-class is deprecated. Use :hover instead.

(FreeCAD:14930): Gtk-WARNING **: 12:17:02.980: Theme parsing error: gtk.css:81:58: Junk at end of value for background-color
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
connect failed: No such file or directory
test_export_airfoildat (TestDraft.DraftAirfoilDAT)
Create some figures and export them to an airfoil DAT file. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftAirfoilDAT'
  Test 'importAirfoilDAT.export'
  file=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/out_test.dat
  exists=False
  Arguments to placeholder function
  p1=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/out_test.dat; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_read_airfoildat (TestDraft.DraftAirfoilDAT)
Read an airfoil DAT file and import its elements as objects. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftAirfoilDAT'
  Test 'importAirfoilDAT.import'
  This test requires a DAT file with airfoil data to read.
  file=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/test.dat
  exists=False
  Arguments to placeholder function
  p1=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/test.dat; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_arc (TestDraft.DraftCreation)
Create a circular arc. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Arc'
  radius=2
  startangle=0, endangle=90
ok
test_arc_3points (TestDraft.DraftCreation)
Create a circular arc from three points. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Arc 3Points'
  a=Vector (5.0, 0.0, 0.0), b=Vector (4.0, 3.0, 0.0)
  c=Vector (0.0, 5.0, 0.0)
  Arguments to placeholder function
  p1=Vector (5.0, 0.0, 0.0); p2=Vector (4.0, 3.0, 0.0)
  p3=Vector (0.0, 5.0, 0.0); p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_bezcurve (TestDraft.DraftCreation)
Create a bezier curve of six points, degree five. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft BezCurve'
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (5.0, 3.0, 0.0), d=Vector (9.0, 0.0, 0.0)
  e=Vector (12.0, 5.0, 0.0), f=Vector (12.0, 8.0, 0.0)
ok
test_bspline (TestDraft.DraftCreation)
Create a BSpline of three points. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft BSpline'
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 0.0, 0.0)
  c=Vector (2.0, 2.0, 0.0)
ok
test_circle (TestDraft.DraftCreation)
Create a circle. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Circle'
  radius=3
ok
test_cubicbezcurve (TestDraft.DraftCreation)
Create a cubic bezier curve of four points. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft CubBezCurve'
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (5.0, 3.0, 0.0), d=Vector (9.0, 0.0, 0.0)
ok
test_dimension_linear (TestDraft.DraftCreation)
Create a linear dimension. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Dimension'
  Occasionaly crashes
  a=Vector (0.0, 0.0, 0.0), b=Vector (9.0, 0.0, 0.0)
  c=Vector (4.0, -1.0, 0.0)
ok
test_dimension_radial (TestDraft.DraftCreation)
Create a radial dimension. NOT IMPLEMENTED CURRENTLY. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Dimension Radial'
  a=Vector (5.0, 0.0, 0.0), b=Vector (4.0, 3.0, 0.0)
  c=Vector (0.0, 5.0, 0.0)
  Arguments to placeholder function
  p1=Vector (5.0, 0.0, 0.0); p2=Vector (4.0, 3.0, 0.0)
  p3=Vector (0.0, 5.0, 0.0); p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_ellipse (TestDraft.DraftCreation)
Create an ellipse. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Ellipse'
  major_axis=5, minor_axis=3
ok
test_facebinder (TestDraft.DraftCreation)
Create a box, and then a facebinder from its faces. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Facebinder'
  In order to test this, a selection is needed
  or an App::PropertyLinkSubList
  Box
  object='Solid' (Part::Box)
  sub-elements=('Face1', 'Face6')
ok
test_fillet (TestDraft.DraftCreation)
Create two lines, and a fillet between them. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Fillet'
  Lines
  a=Vector (0.0, 0.0, 0.0), b=Vector (8.0, 0.0, 0.0)
  b=Vector (8.0, 0.0, 0.0), c=Vector (8.0, 8.0, 0.0)
  Fillet
  radius=4
o1: Line, length: 8.0
o2: Line001, length: 8.0
e1, length: 3.999999999999999
e2, length: 6.283185307179587
e3, length: 3.999999999999999
ok
test_label (TestDraft.DraftCreation)
Create a label. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Label'
  Occasionaly crashes
  target_point=Vector (0.0, 0.0, 0.0), distance=-25
  placement=Placement [Pos=(50,50,0), Yaw-Pitch-Roll=(0,0,0)]
ok
test_line (TestDraft.DraftCreation)
Create a line. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Line'
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 0.0, 0.0)
ok
test_point (TestDraft.DraftCreation)
Create a point. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Point'
  p.x=5.0, p.y=3.0, p.z=2.0
ok
test_polygon (TestDraft.DraftCreation)
Create a regular polygon. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Polygon'
  n_faces=6, radius=5
ok
test_polyline (TestDraft.DraftCreation)
Create a polyline. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Wire'
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 0.0, 0.0)
  c=Vector (2.0, 2.0, 0.0)
ok
test_rectangle (TestDraft.DraftCreation)
Create a rectangle. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Rectangle'
  length=5, width=2
ok
test_shapestring (TestDraft.DraftCreation)
Create a ShapeString. NOT IMPLEMENTED CURRENTLY. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft ShapeString'
  In order to test this, a font file is needed.
  text='Testing Shapestring ', font='None'
  Arguments to placeholder function
  p1=Text; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_text (TestDraft.DraftCreation)
Create a text object. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Text'
  text='Testing testing'
ok
test_export_dwg (TestDraft.DraftDWG)
Create some figures and export them to a DWG file. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftDWG'
  Test 'importDWG.export'
  file=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/out_test.dwg
  exists=False
  Arguments to placeholder function
  p1=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/out_test.dwg; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_read_dwg (TestDraft.DraftDWG)
Read a DWG file and import its elements as Draft objects. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftDWG'
  Test 'importDWG.import'
  This test requires a DWG file to read.
  file=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/test.dwg
  exists=False
  Arguments to placeholder function
  p1=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/test.dwg; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_export_dxf (TestDraft.DraftDXF)
Create some figures and export them to a DXF file. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftDXF'
  Test 'importDXF.export'
  file=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/out_test.dxf
  exists=False
  Arguments to placeholder function
  p1=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/out_test.dxf; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_read_dxf (TestDraft.DraftDXF)
Read a DXF file and import its elements as Draft objects. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftDXF'
  Test 'importDXF.import'
  This test requires a DXF file to read.
  file=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/test.dxf
  exists=False
  Arguments to placeholder function
  p1=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/test.dxf; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_import_gui_draft_snap (TestDraft.DraftGuiImport)
Import Draft snapping. ... 
------------------------------------------------------------------------------
  Try importing 'DraftSnap'
ok
test_import_gui_draft_tools (TestDraft.DraftGuiImport)
Import Draft graphical commands. ... 
------------------------------------------------------------------------------
  Try importing 'DraftTools'
ok
test_import_gui_draft_trackers (TestDraft.DraftGuiImport)
Import Draft tracker utilities. ... 
------------------------------------------------------------------------------
  Try importing 'DraftTrackers'
ok
test_import_gui_draftgui (TestDraft.DraftGuiImport)
Import Draft TaskView GUI tools. ... 
------------------------------------------------------------------------------
  Try importing 'DraftGui'
ok
test_import_draft (TestDraft.DraftImport)
Import the Draft module. ... 
------------------------------------------------------------------------------
  Try importing 'Draft'
ok
test_import_draft_geomutils (TestDraft.DraftImport)
Import Draft geometrical utilities. ... 
------------------------------------------------------------------------------
  Try importing 'DraftGeomUtils'
ok
test_import_draft_svg (TestDraft.DraftImport)
Import Draft SVG utilities. ... 
------------------------------------------------------------------------------
  Try importing 'getSVG'
ok
test_import_draft_vecutils (TestDraft.DraftImport)
Import Draft vector utilities. ... 
------------------------------------------------------------------------------
  Try importing 'DraftVecUtils'
ok
test_import_gui_draftedit (TestDraft.DraftImportTools)
Import Draft Edit. ... 
------------------------------------------------------------------------------
  Try importing 'DraftEdit'
ok
test_import_gui_draftfillet (TestDraft.DraftImportTools)
Import Draft Fillet. ... 
------------------------------------------------------------------------------
  Try importing 'DraftFillet'
ok
test_import_gui_draftlayer (TestDraft.DraftImportTools)
Import Draft Layer. ... 
------------------------------------------------------------------------------
  Try importing 'DraftLayer'
ok
test_import_gui_draftplane (TestDraft.DraftImportTools)
Import Draft SelectPlane. ... 
------------------------------------------------------------------------------
  Try importing 'DraftSelectPlane'
ok
test_import_gui_workingplane (TestDraft.DraftImportTools)
Import Draft WorkingPlane. ... 
------------------------------------------------------------------------------
  Try importing 'WorkingPlane'
ok
test_circular_array (TestDraft.DraftModification)
Create a rectangle, and a circular array. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft CircularArray'
  Rectangle
  length=4, width=2
  Array
  radial_distance=10, tangential_distance=8
  axis=Vector (0.0, 0.0, 1.0)
  center=Vector (0.0, 0.0, 0.0)
  number=3, symmetry=1
ok
test_clone (TestDraft.DraftModification)
Create a box, then create a clone of it. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Clone'
  object: 'Solid' (Part::Box)
  clone: 'Clone' (Part::FeaturePython)
ok
test_copy (TestDraft.DraftModification)
Create a line, then copy and move it. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Move with copy'
  Line
  a=Vector (0.0, 3.0, 0.0), b=Vector (2.0, 3.0, 0.0)
  Translation vector (copy)
  c=Vector (2.0, 2.0, 0.0)
ok
test_downgrade (TestDraft.DraftModification)
Downgrade a closed Draft Wire into three simple Part Edges. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Downgrade'
  Closed wire
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0), a=Vector (0.0, 0.0, 0.0)
Found 1 parametric object: breaking its dependencies
  1: Result 'Face' (Part::Feature)
Found 1 face: extracting its wires
  2: Result 'Wire' (Part::Feature)
Found only wires: extracting their edges
  3: Result 3 x 'Edge' (Part::Feature)
No more downgrade possible
  4: Result '[]'
  The last objects cannot be downgraded further
ok
test_draft_to_drawing (TestDraft.DraftModification)
Create a solid, and then a projected view in a Drawing page. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Drawing'
  The Drawing Workbench is obsolete since 0.17,
  consider using the TechDraw Workbench instead
  Prism
  n_sides=5
  placement=Placement [Pos=(0,0,0), Yaw-Pitch-Roll=(0,45,0)]
  Drawing view
  page=Drawing::FeaturePage
  template=/opt/freecad-build-vocx/share/Mod/Drawing/Templates/A3_Landscape.svg
ok
test_draft_to_sketch (TestDraft.DraftModification)
Convert a Draft object to a Sketch and back. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Draft2Sketch'
  Wire
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0)
  1: Result 'Wire' (Sketcher::SketchObject)
  2: Result 'Wire' (Part::Part2DObjectPython)
ok
test_extend (TestDraft.DraftModification)
Extend a line. NOT IMPLEMENTED. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Trimex extend'
  Line
  a=Vector (0.0, 0.0, 0.0), b=Vector (1.0, 1.0, 0.0)
  Line 2
  c=Vector (2.0, 2.0, 0.0), d=Vector (4.0, 2.0, 0.0)
  Arguments to placeholder function
  p1=<Part::Part2DObject>; p2=<Part::Part2DObject>
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_join (TestDraft.DraftModification)
Join two lines into a single Draft Wire. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Join'
  Line 1
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  Line 2
  b=Vector (2.0, 2.0, 0.0), c=Vector (2.0, 4.0, 0.0)
ok
test_mirror (TestDraft.DraftModification)
Create a rectangle, then a mirrored shape. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Mirror'
  Rectangle
  length=4, width=2
  Mirror axis
  p1=Vector (6.0, -2.0, 0.0)
  p2=Vector (6.0, 2.0, 0.0)
ok
test_move (TestDraft.DraftModification)
Create a line and move it. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Move'
  Line
  a=Vector (0.0, 2.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  Translation vector
  c=Vector (3.0, 1.0, 0.0)
ok
test_offset (TestDraft.DraftModification)
Create a rectangle, then produce an offset copy. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Offset'
  Rectangle
  length=4, width=2
  Offset
  vector=Vector (-1.0, -1.0, 0.0)
ok
test_path_array (TestDraft.DraftModification)
Create a wire, a polygon, and a path array. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft PathArray'
  Wire
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0), d=Vector (8.0, 4.0, 0.0)
  Polygon
  n_faces=3, radius=1
  Path Array
  number=4, translation=Vector (0.0, 1.0, 0.0)
  align=False
ok
test_point_array (TestDraft.DraftModification)
Create a polygon, various point, and a point array. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft PointArray'
  Points
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0), d=Vector (8.0, 4.0, 0.0)
  Upgrade
Found several non-treatable objects: creating compound
  Polygon
  n_faces=3, radius=1
  Point Array
ok
test_polar_array (TestDraft.DraftModification)
Create a rectangle, and a polar array. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft PolarArray'
  Rectangle
  length=4, width=2
  Array
  center=Vector (-4.0, 0.0, 0.0)
  polar_angle=180, number=5
ok
test_rectangular_array (TestDraft.DraftModification)
Create a rectangle, and a rectangular array. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Array'
  Rectangle
  length=4, width=2
  Array
  direction_x=Vector (5.0, 0.0, 0.0)
  direction_y=Vector (0.0, 4.0, 0.0)
  number_x=3, number_y=4
ok
test_rotate (TestDraft.DraftModification)
Create a line, then rotate it. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Rotate'
  Line
  a=Vector (1.0, 1.0, 0.0), b=Vector (3.0, 1.0, 0.0)
  Rotation
  angle=90 degrees
ok
test_shape_2d_view (TestDraft.DraftModification)
Create a prism and then a 2D projection of it. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Shape2DView'
  Prism
  n_sides=5
  placement=Placement [Pos=(0,0,0), Yaw-Pitch-Roll=(0,45,0)]
  Projection 2D view
  direction=Vector (0.0, 0.0, 1.0)
ok
test_split (TestDraft.DraftModification)
Split a Draft Wire into two Draft Wires. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft_Split'
  Wire
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0), d=Vector (6.0, 4.0, 0.0)
  Split at
  p=Vector (2.0, 2.0, 0.0), index=1
ok
test_stretch (TestDraft.DraftModification)
Stretch a line. NOT IMPLEMENTED. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Stretch'
  This test requires an object and a selection
  Line
  a=Vector (0.0, 0.0, 0.0), b=Vector (1.0, 1.0, 0.0)
  Arguments to placeholder function
  p1=<Part::Part2DObject>; p2=Vector (4.0, 1.0, 0.0)
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_trim (TestDraft.DraftModification)
Trim a line. NOT IMPLEMENTED. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Trimex trim'
  Line
  a=Vector (0.0, 0.0, 0.0), b=Vector (3.0, 3.0, 0.0)
  Line 2
  c=Vector (2.0, 2.0, 0.0), d=Vector (4.0, 2.0, 0.0)
  Arguments to placeholder function
  p1=<Part::Part2DObject>; p2=<Part::Part2DObject>
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_upgrade (TestDraft.DraftModification)
Upgrade two Draft Lines into a closed Draft Wire. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Upgrade'
  Line 1
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  Line 2
  b=Vector (2.0, 2.0, 0.0), c=Vector (2.0, 4.0, 0.0)
Found several edges: wiring them
  1: Result 'Wire' (Part::Feature)
Found 1 open wire: closing it
  2: Result 'Wire' (Part::Feature)
Found closed wires: creating faces
  3: Result 'Face' (Part::Feature)
Found 1 non-parametric objects: draftifying it
  4: Result 'Wire' (Part::Part2DObjectPython)
  The last object cannot be upgraded further
ok
test_wire_to_bspline (TestDraft.DraftModification)
Convert a polyline to BSpline and back. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft WireToBSpline'
  Wire
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0)
  1: Result 'BSpline' (Part::Part2DObjectPython)
  2: Result 'Wire' (Part::Part2DObjectPython)
ok
test_export_oca (TestDraft.DraftOCA)
Create some figures and export them to an OCA file. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftOCA'
  Test 'importOCA.export'
  file=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/out_test.oca
  exists=False
  Arguments to placeholder function
  p1=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/out_test.oca; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_read_oca (TestDraft.DraftOCA)
Read an OCA file and import its elements as Draft objects. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftOCA'
  Test 'importOCA.import'
  This test requires an OCA file to read.
  file=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/test.oca
  exists=False
  Arguments to placeholder function
  p1=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/test.oca; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_pivy_draw (TestDraft.DraftPivy)
Use Coin (pivy.coin) to draw a cube on the active view. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftPivy'
  Draw cube
  Adding cube to the active view scene
ok
test_pivy_import (TestDraft.DraftPivy)
Import Pivy Coin. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftPivy'
  Try importing 'pivy.coin'
ok
test_export_svg (TestDraft.DraftSVG)
Create some figures and export them to an SVG file. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftSVG'
  Test 'importSVG.export'
  file=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/out_test.svg
  exists=False
  Arguments to placeholder function
  p1=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/out_test.svg; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_read_svg (TestDraft.DraftSVG)
Read an SVG file and import its elements as Draft objects. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftSVG'
  Test 'importSVG.import'
  This test requires an SVG file to read.
  file=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/test.svg
  exists=False
  Arguments to placeholder function
  p1=/opt/freecad-build-vocx/share/Mod/Draft/drafttest/test.svg; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok

----------------------------------------------------------------------
Ran 66 tests in 4.884s

OK
System exit
Always add the important information to your posts if you need help. Also see Tutorials and Video tutorials.
To support the documentation effort, and code development, your donation is appreciated: liberapay.com/FreeCAD.
User avatar
Kunda1
Veteran
Posts: 13434
Joined: Thu Jan 05, 2017 9:03 pm

Re: New unit tests for Draft Workbench

Post by Kunda1 »

Ok, not sure what happened. But it is sorted out now.
And you code runs without any complaints.

Code: Select all

$ ./AppRun -t TestDraft
/home/foo/bin/squashfs-root
FreeCAD 0.19, Libs: 0.19R18614 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2019
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

connect failed: No such file or directory
test_export_airfoildat (TestDraft.DraftAirfoilDAT)
Create some figures and export them to an airfoil DAT file. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftAirfoilDAT'
  Test 'importAirfoilDAT.export'
  file=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/out_test.dat
  exists=False
  Arguments to placeholder function
  p1=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/out_test.dat; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_read_airfoildat (TestDraft.DraftAirfoilDAT)
Read an airfoil DAT file and import its elements as objects. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftAirfoilDAT'
  Test 'importAirfoilDAT.import'
  This test requires a DAT file with airfoil data to read.
  file=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/test.dat
  exists=False
  Arguments to placeholder function
  p1=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/test.dat; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_arc (TestDraft.DraftCreation)
Create a circular arc. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Arc'
  radius=2
  startangle=0, endangle=90
ok
test_arc_3points (TestDraft.DraftCreation)
Create a circular arc from three points. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Arc 3Points'
  a=Vector (5.0, 0.0, 0.0), b=Vector (4.0, 3.0, 0.0)
  c=Vector (0.0, 5.0, 0.0)
  Arguments to placeholder function
  p1=Vector (5.0, 0.0, 0.0); p2=Vector (4.0, 3.0, 0.0)
  p3=Vector (0.0, 5.0, 0.0); p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_bezcurve (TestDraft.DraftCreation)
Create a bezier curve of six points, degree five. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft BezCurve'
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (5.0, 3.0, 0.0), d=Vector (9.0, 0.0, 0.0)
  e=Vector (12.0, 5.0, 0.0), f=Vector (12.0, 8.0, 0.0)
ok
test_bspline (TestDraft.DraftCreation)
Create a BSpline of three points. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft BSpline'
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 0.0, 0.0)
  c=Vector (2.0, 2.0, 0.0)
ok
test_circle (TestDraft.DraftCreation)
Create a circle. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Circle'
  radius=3
ok
test_cubicbezcurve (TestDraft.DraftCreation)
Create a cubic bezier curve of four points. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft CubBezCurve'
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (5.0, 3.0, 0.0), d=Vector (9.0, 0.0, 0.0)
ok
test_dimension_linear (TestDraft.DraftCreation)
Create a linear dimension. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Dimension'
  Occasionaly crashes
  a=Vector (0.0, 0.0, 0.0), b=Vector (9.0, 0.0, 0.0)
  c=Vector (4.0, -1.0, 0.0)
ok
test_dimension_radial (TestDraft.DraftCreation)
Create a radial dimension. NOT IMPLEMENTED CURRENTLY. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Dimension Radial'
  a=Vector (5.0, 0.0, 0.0), b=Vector (4.0, 3.0, 0.0)
  c=Vector (0.0, 5.0, 0.0)
  Arguments to placeholder function
  p1=Vector (5.0, 0.0, 0.0); p2=Vector (4.0, 3.0, 0.0)
  p3=Vector (0.0, 5.0, 0.0); p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_ellipse (TestDraft.DraftCreation)
Create an ellipse. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Ellipse'
  major_axis=5, minor_axis=3
ok
test_facebinder (TestDraft.DraftCreation)
Create a box, and then a facebinder from its faces. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Facebinder'
  In order to test this, a selection is needed
  or an App::PropertyLinkSubList
  Box
  object='Solid' (Part::Box)
  sub-elements=('Face1', 'Face6')
ok
test_fillet (TestDraft.DraftCreation)
Create two lines, and a fillet between them. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Fillet'
  Lines
  a=Vector (0.0, 0.0, 0.0), b=Vector (8.0, 0.0, 0.0)
  b=Vector (8.0, 0.0, 0.0), c=Vector (8.0, 8.0, 0.0)
  Fillet
  radius=4
o1: Line, length: 8.0
o2: Line001, length: 8.0
e1, length: 3.999999999999999
e2, length: 6.283185307179587
e3, length: 3.999999999999999
ok
test_label (TestDraft.DraftCreation)
Create a label. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Label'
  Occasionaly crashes
  target_point=Vector (0.0, 0.0, 0.0), distance=-25
  placement=Placement [Pos=(50,50,0), Yaw-Pitch-Roll=(0,0,0)]
ok
test_line (TestDraft.DraftCreation)
Create a line. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Line'
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 0.0, 0.0)
ok
test_point (TestDraft.DraftCreation)
Create a point. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Point'
  p.x=5.0, p.y=3.0, p.z=2.0
ok
test_polygon (TestDraft.DraftCreation)
Create a regular polygon. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Polygon'
  n_faces=6, radius=5
ok
test_polyline (TestDraft.DraftCreation)
Create a polyline. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Wire'
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 0.0, 0.0)
  c=Vector (2.0, 2.0, 0.0)
ok
test_rectangle (TestDraft.DraftCreation)
Create a rectangle. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Rectangle'
  length=5, width=2
ok
test_shapestring (TestDraft.DraftCreation)
Create a ShapeString. NOT IMPLEMENTED CURRENTLY. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft ShapeString'
  In order to test this, a font file is needed.
  text='Testing Shapestring ', font='None'
  Arguments to placeholder function
  p1=Text; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_text (TestDraft.DraftCreation)
Create a text object. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftCreation'
  Test 'Draft Text'
  text='Testing testing'
ok
test_export_dwg (TestDraft.DraftDWG)
Create some figures and export them to a DWG file. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftDWG'
  Test 'importDWG.export'
  file=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/out_test.dwg
  exists=False
  Arguments to placeholder function
  p1=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/out_test.dwg; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_read_dwg (TestDraft.DraftDWG)
Read a DWG file and import its elements as Draft objects. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftDWG'
  Test 'importDWG.import'
  This test requires a DWG file to read.
  file=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/test.dwg
  exists=False
  Arguments to placeholder function
  p1=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/test.dwg; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_export_dxf (TestDraft.DraftDXF)
Create some figures and export them to a DXF file. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftDXF'
  Test 'importDXF.export'
  file=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/out_test.dxf
  exists=False
  Arguments to placeholder function
  p1=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/out_test.dxf; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_read_dxf (TestDraft.DraftDXF)
Read a DXF file and import its elements as Draft objects. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftDXF'
  Test 'importDXF.import'
  This test requires a DXF file to read.
  file=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/test.dxf
  exists=False
  Arguments to placeholder function
  p1=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/test.dxf; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_import_gui_draft_snap (TestDraft.DraftGuiImport)
Import Draft snapping. ... 
------------------------------------------------------------------------------
  Try importing 'DraftSnap'
ok
test_import_gui_draft_tools (TestDraft.DraftGuiImport)
Import Draft graphical commands. ... 
------------------------------------------------------------------------------
  Try importing 'DraftTools'
ok
test_import_gui_draft_trackers (TestDraft.DraftGuiImport)
Import Draft tracker utilities. ... 
------------------------------------------------------------------------------
  Try importing 'DraftTrackers'
ok
test_import_gui_draftgui (TestDraft.DraftGuiImport)
Import Draft TaskView GUI tools. ... 
------------------------------------------------------------------------------
  Try importing 'DraftGui'
ok
test_import_draft (TestDraft.DraftImport)
Import the Draft module. ... 
------------------------------------------------------------------------------
  Try importing 'Draft'
ok
test_import_draft_geomutils (TestDraft.DraftImport)
Import Draft geometrical utilities. ... 
------------------------------------------------------------------------------
  Try importing 'DraftGeomUtils'
ok
test_import_draft_svg (TestDraft.DraftImport)
Import Draft SVG utilities. ... 
------------------------------------------------------------------------------
  Try importing 'getSVG'
ok
test_import_draft_vecutils (TestDraft.DraftImport)
Import Draft vector utilities. ... 
------------------------------------------------------------------------------
  Try importing 'DraftVecUtils'
ok
test_import_gui_draftedit (TestDraft.DraftImportTools)
Import Draft Edit. ... 
------------------------------------------------------------------------------
  Try importing 'DraftEdit'
ok
test_import_gui_draftfillet (TestDraft.DraftImportTools)
Import Draft Fillet. ... 
------------------------------------------------------------------------------
  Try importing 'DraftFillet'
ok
test_import_gui_draftlayer (TestDraft.DraftImportTools)
Import Draft Layer. ... 
------------------------------------------------------------------------------
  Try importing 'DraftLayer'
ok
test_import_gui_draftplane (TestDraft.DraftImportTools)
Import Draft SelectPlane. ... 
------------------------------------------------------------------------------
  Try importing 'DraftSelectPlane'
ok
test_import_gui_workingplane (TestDraft.DraftImportTools)
Import Draft WorkingPlane. ... 
------------------------------------------------------------------------------
  Try importing 'WorkingPlane'
ok
test_circular_array (TestDraft.DraftModification)
Create a rectangle, and a circular array. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft CircularArray'
  Rectangle
  length=4, width=2
  Array
  radial_distance=10, tangential_distance=8
  axis=Vector (0.0, 0.0, 1.0)
  center=Vector (0.0, 0.0, 0.0)
  number=3, symmetry=1
ok
test_clone (TestDraft.DraftModification)
Create a box, then create a clone of it. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Clone'
  object: 'Solid' (Part::Box)
  clone: 'Clone' (Part::FeaturePython)
ok
test_copy (TestDraft.DraftModification)
Create a line, then copy and move it. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Move with copy'
  Line
  a=Vector (0.0, 3.0, 0.0), b=Vector (2.0, 3.0, 0.0)
  Translation vector (copy)
  c=Vector (2.0, 2.0, 0.0)
ok
test_downgrade (TestDraft.DraftModification)
Downgrade a closed Draft Wire into three simple Part Edges. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Downgrade'
  Closed wire
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0), a=Vector (0.0, 0.0, 0.0)
Found 1 parametric object: breaking its dependencies
  1: Result 'Face' (Part::Feature)
Found 1 face: extracting its wires
  2: Result 'Wire' (Part::Feature)
Found only wires: extracting their edges
  3: Result 3 x 'Edge' (Part::Feature)
No more downgrade possible
  4: Result '[]'
  The last objects cannot be downgraded further
ok
test_draft_to_drawing (TestDraft.DraftModification)
Create a solid, and then a projected view in a Drawing page. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Drawing'
  The Drawing Workbench is obsolete since 0.17,
  consider using the TechDraw Workbench instead
  Prism
  n_sides=5
  placement=Placement [Pos=(0,0,0), Yaw-Pitch-Roll=(0,45,0)]
  Drawing view
  page=Drawing::FeaturePage
  template=/home/foo/bin/squashfs-root/usr/share/Mod/Drawing/Templates/A3_Landscape.svg
ok
test_draft_to_sketch (TestDraft.DraftModification)
Convert a Draft object to a Sketch and back. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Draft2Sketch'
  Wire
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0)
  1: Result 'Wire' (Sketcher::SketchObject)
  2: Result 'Wire' (Part::Part2DObjectPython)
ok
test_extend (TestDraft.DraftModification)
Extend a line. NOT IMPLEMENTED. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Trimex extend'
  Line
  a=Vector (0.0, 0.0, 0.0), b=Vector (1.0, 1.0, 0.0)
  Line 2
  c=Vector (2.0, 2.0, 0.0), d=Vector (4.0, 2.0, 0.0)
  Arguments to placeholder function
  p1=<Part::Part2DObject>; p2=<Part::Part2DObject>
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_join (TestDraft.DraftModification)
Join two lines into a single Draft Wire. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Join'
  Line 1
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  Line 2
  b=Vector (2.0, 2.0, 0.0), c=Vector (2.0, 4.0, 0.0)
ok
test_mirror (TestDraft.DraftModification)
Create a rectangle, then a mirrored shape. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Mirror'
  Rectangle
  length=4, width=2
  Mirror axis
  p1=Vector (6.0, -2.0, 0.0)
  p2=Vector (6.0, 2.0, 0.0)
ok
test_move (TestDraft.DraftModification)
Create a line and move it. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Move'
  Line
  a=Vector (0.0, 2.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  Translation vector
  c=Vector (3.0, 1.0, 0.0)
ok
test_offset (TestDraft.DraftModification)
Create a rectangle, then produce an offset copy. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Offset'
  Rectangle
  length=4, width=2
  Offset
  vector=Vector (-1.0, -1.0, 0.0)
ok
test_path_array (TestDraft.DraftModification)
Create a wire, a polygon, and a path array. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft PathArray'
  Wire
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0), d=Vector (8.0, 4.0, 0.0)
  Polygon
  n_faces=3, radius=1
  Path Array
  number=4, translation=Vector (0.0, 1.0, 0.0)
  align=False
ok
test_point_array (TestDraft.DraftModification)
Create a polygon, various point, and a point array. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft PointArray'
  Points
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0), d=Vector (8.0, 4.0, 0.0)
  Upgrade
Found several non-treatable objects: creating compound
  Polygon
  n_faces=3, radius=1
  Point Array
ok
test_polar_array (TestDraft.DraftModification)
Create a rectangle, and a polar array. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft PolarArray'
  Rectangle
  length=4, width=2
  Array
  center=Vector (-4.0, 0.0, 0.0)
  polar_angle=180, number=5
ok
test_rectangular_array (TestDraft.DraftModification)
Create a rectangle, and a rectangular array. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Array'
  Rectangle
  length=4, width=2
  Array
  direction_x=Vector (5.0, 0.0, 0.0)
  direction_y=Vector (0.0, 4.0, 0.0)
  number_x=3, number_y=4
ok
test_rotate (TestDraft.DraftModification)
Create a line, then rotate it. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Rotate'
  Line
  a=Vector (1.0, 1.0, 0.0), b=Vector (3.0, 1.0, 0.0)
  Rotation
  angle=90 degrees
ok
test_shape_2d_view (TestDraft.DraftModification)
Create a prism and then a 2D projection of it. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Shape2DView'
  Prism
  n_sides=5
  placement=Placement [Pos=(0,0,0), Yaw-Pitch-Roll=(0,45,0)]
  Projection 2D view
  direction=Vector (0.0, 0.0, 1.0)
ok
test_split (TestDraft.DraftModification)
Split a Draft Wire into two Draft Wires. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft_Split'
  Wire
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0), d=Vector (6.0, 4.0, 0.0)
  Split at
  p=Vector (2.0, 2.0, 0.0), index=1
ok
test_stretch (TestDraft.DraftModification)
Stretch a line. NOT IMPLEMENTED. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Stretch'
  This test requires an object and a selection
  Line
  a=Vector (0.0, 0.0, 0.0), b=Vector (1.0, 1.0, 0.0)
  Arguments to placeholder function
  p1=<Part::Part2DObject>; p2=Vector (4.0, 1.0, 0.0)
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_trim (TestDraft.DraftModification)
Trim a line. NOT IMPLEMENTED. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Trimex trim'
  Line
  a=Vector (0.0, 0.0, 0.0), b=Vector (3.0, 3.0, 0.0)
  Line 2
  c=Vector (2.0, 2.0, 0.0), d=Vector (4.0, 2.0, 0.0)
  Arguments to placeholder function
  p1=<Part::Part2DObject>; p2=<Part::Part2DObject>
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_upgrade (TestDraft.DraftModification)
Upgrade two Draft Lines into a closed Draft Wire. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft Upgrade'
  Line 1
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  Line 2
  b=Vector (2.0, 2.0, 0.0), c=Vector (2.0, 4.0, 0.0)
Found several edges: wiring them
  1: Result 'Wire' (Part::Feature)
Found 1 open wire: closing it
  2: Result 'Wire' (Part::Feature)
Found closed wires: creating faces
  3: Result 'Face' (Part::Feature)
Found 1 non-parametric objects: draftifying it
  4: Result 'Wire' (Part::Part2DObjectPython)
  The last object cannot be upgraded further
ok
test_wire_to_bspline (TestDraft.DraftModification)
Convert a polyline to BSpline and back. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftModification'
  Test 'Draft WireToBSpline'
  Wire
  a=Vector (0.0, 0.0, 0.0), b=Vector (2.0, 2.0, 0.0)
  c=Vector (2.0, 4.0, 0.0)
  1: Result 'BSpline' (Part::Part2DObjectPython)
  2: Result 'Wire' (Part::Part2DObjectPython)
ok
test_export_oca (TestDraft.DraftOCA)
Create some figures and export them to an OCA file. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftOCA'
  Test 'importOCA.export'
  file=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/out_test.oca
  exists=False
  Arguments to placeholder function
  p1=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/out_test.oca; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_read_oca (TestDraft.DraftOCA)
Read an OCA file and import its elements as Draft objects. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftOCA'
  Test 'importOCA.import'
  This test requires an OCA file to read.
  file=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/test.oca
  exists=False
  Arguments to placeholder function
  p1=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/test.oca; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_pivy_draw (TestDraft.DraftPivy)
Use Coin (pivy.coin) to draw a cube on the active view. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftPivy'
  Draw cube
  Adding cube to the active view scene
ok
test_pivy_import (TestDraft.DraftPivy)
Import Pivy Coin. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftPivy'
  Try importing 'pivy.coin'
ok
test_export_svg (TestDraft.DraftSVG)
Create some figures and export them to an SVG file. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftSVG'
  Test 'importSVG.export'
  file=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/out_test.svg
  exists=False
  Arguments to placeholder function
  p1=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/out_test.svg; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok
test_read_svg (TestDraft.DraftSVG)
Read an SVG file and import its elements as Draft objects. ... 
------------------------------------------------------------------------------
  Temporary document 'DraftSVG'
  Test 'importSVG.import'
  This test requires an SVG file to read.
  file=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/test.svg
  exists=False
  Arguments to placeholder function
  p1=/home/foo/bin/squashfs-root/usr/share/Mod/Draft/drafttest/test.svg; p2=None
  p3=None; p4=None
  p5=None
  #-----------------------------------------------------#
  #    This test is not implemented currently
  #-----------------------------------------------------#
  Automatic PASS
ok

----------------------------------------------------------------------
Ran 66 tests in 2.208s

OK
System exit
Alone you go faster. Together we go farther
Please mark thread [Solved]
Want to contribute back to FC? Checkout:
'good first issues' | Open TODOs and FIXMEs | How to Help FreeCAD | How to report Bugs
Post Reply